package br.com.evologica.mvp.data;

import android.content.Context;

import br.com.evologica.mvp.data.prefs.AppPreferencesHelper;
import br.com.evologica.mvp.data.prefs.PreferencesHelper;
import br.com.evologica.mvp.utils.AppConstants;

/**
 * Created by marcussales on 01/03/2017.
 */

public class AppDataManager implements DataManager {

    private static final String TAG = "AppDataManager";

    private final Context mContext;
    private PreferencesHelper mPreferencesHelper;

    public AppDataManager(Context ctx) {
        mContext = ctx;
        mPreferencesHelper = new AppPreferencesHelper(ctx, AppConstants.PREF_NAME);
    }

    @Override
    public void setLoggedIn() {
        mPreferencesHelper.setLoggedIn();
    }

    @Override
    public void setLoggedOut() {
        mPreferencesHelper.setLoggedOut();
    }

    @Override
    public boolean isLogged() {
        return mPreferencesHelper.isLogged();
    }
}
